<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Sound Manager: _AudiomanagerRoutinginterfaceIface Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Sound Manager
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('struct___audiomanager_routinginterface_iface.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">_AudiomanagerRoutinginterfaceIface Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a2235fa9640d924dfa2810cab5c349812"><td class="memItemLeft" align="right" valign="top">GTypeInterface&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#a2235fa9640d924dfa2810cab5c349812">parent_iface</a></td></tr>
<tr class="separator:a2235fa9640d924dfa2810cab5c349812"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae94f0c43f9dcb471040598f63f696a7a"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#ae94f0c43f9dcb471040598f63f696a7a">handle_ack_connect</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_connectionID, guint16 arg_error)</td></tr>
<tr class="separator:ae94f0c43f9dcb471040598f63f696a7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad19ecd30baab6e7d4ba6d6c6002cfaf9"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#ad19ecd30baab6e7d4ba6d6c6002cfaf9">handle_ack_disconnect</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_connectionID, guint16 arg_error)</td></tr>
<tr class="separator:ad19ecd30baab6e7d4ba6d6c6002cfaf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6e540b11ad03b27b947b79f268ce1a9"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#ab6e540b11ad03b27b947b79f268ce1a9">handle_ack_set_sink_volume</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, gint16 arg_volume, guint16 arg_error)</td></tr>
<tr class="separator:ab6e540b11ad03b27b947b79f268ce1a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa08081f0b75bceb2d649b993e64780e0"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#aa08081f0b75bceb2d649b993e64780e0">handle_ack_set_source_state</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_error)</td></tr>
<tr class="separator:aa08081f0b75bceb2d649b993e64780e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8345befe28426327325b1ba4df642ee"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#ae8345befe28426327325b1ba4df642ee">handle_ack_set_volumes</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, GVariant *arg_listvolumes, guint16 arg_error)</td></tr>
<tr class="separator:ae8345befe28426327325b1ba4df642ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6dead68bb1d960873c1d3b43b16ed75"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#ab6dead68bb1d960873c1d3b43b16ed75">handle_ack_sink_notification_configuration</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_error)</td></tr>
<tr class="separator:ab6dead68bb1d960873c1d3b43b16ed75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29c4ad940905f828e5a8e5ac0433a3ae"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#a29c4ad940905f828e5a8e5ac0433a3ae">handle_ack_source_notification_configuration</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_error)</td></tr>
<tr class="separator:a29c4ad940905f828e5a8e5ac0433a3ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab247488d2597997aca94ab969f8d3591"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#ab247488d2597997aca94ab969f8d3591">handle_confirm_routing_ready</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_domainID)</td></tr>
<tr class="separator:ab247488d2597997aca94ab969f8d3591"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad105905907e3735fe601fd472b658787"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#ad105905907e3735fe601fd472b658787">handle_confirm_routing_rundown</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_domainID)</td></tr>
<tr class="separator:ad105905907e3735fe601fd472b658787"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a549ccc940b2d7bdfe044bf0080cab5"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#a7a549ccc940b2d7bdfe044bf0080cab5">handle_deregister_sink</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_sinkID)</td></tr>
<tr class="separator:a7a549ccc940b2d7bdfe044bf0080cab5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a922e3b64fda18253a4876b08297af520"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#a922e3b64fda18253a4876b08297af520">handle_deregister_source</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_sourceID)</td></tr>
<tr class="separator:a922e3b64fda18253a4876b08297af520"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa5a962b2eabddde63e3379c86204661"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#aaa5a962b2eabddde63e3379c86204661">handle_hook_interrupt_status_change</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_sourceID, guint16 arg_interruptState)</td></tr>
<tr class="separator:aaa5a962b2eabddde63e3379c86204661"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e7e0beac27ee45449766260f0f52d2b"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#a3e7e0beac27ee45449766260f0f52d2b">handle_hook_source_availablity_status_change</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_sourceID, GVariant *arg_availability)</td></tr>
<tr class="separator:a3e7e0beac27ee45449766260f0f52d2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf7f3af5c44437c7e137d953e212796b"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#abf7f3af5c44437c7e137d953e212796b">handle_register_domain</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, GVariant *arg_domaindata, const gchar *arg_returnBusname, const gchar *arg_returnPath, const gchar *arg_returnInterface)</td></tr>
<tr class="separator:abf7f3af5c44437c7e137d953e212796b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae0f751fca4ed3afbe8c6949bbf5b239"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#aae0f751fca4ed3afbe8c6949bbf5b239">handle_register_sink</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, GVariant *arg_sinkData)</td></tr>
<tr class="separator:aae0f751fca4ed3afbe8c6949bbf5b239"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4d210b0dc6778973ff8494aabd2d73a"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#ab4d210b0dc6778973ff8494aabd2d73a">handle_register_source</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, GVariant *arg_sourceData)</td></tr>
<tr class="separator:ab4d210b0dc6778973ff8494aabd2d73a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58f92c78dae0850dfdc5b4096957cdfb"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#a58f92c78dae0850dfdc5b4096957cdfb">set_routing_ready</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object)</td></tr>
<tr class="separator:a58f92c78dae0850dfdc5b4096957cdfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2506d6398156498330ecd4beb9f1b44d"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_routinginterface_iface.html#a2506d6398156498330ecd4beb9f1b44d">set_routing_rundown</a> )(<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object)</td></tr>
<tr class="separator:a2506d6398156498330ecd4beb9f1b44d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00436">436</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="ae94f0c43f9dcb471040598f63f696a7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae94f0c43f9dcb471040598f63f696a7a">&#9670;&nbsp;</a></span>handle_ack_connect</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutinginterfaceIface::handle_ack_connect) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_connectionID, guint16 arg_error)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00441">441</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="ad19ecd30baab6e7d4ba6d6c6002cfaf9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad19ecd30baab6e7d4ba6d6c6002cfaf9">&#9670;&nbsp;</a></span>handle_ack_disconnect</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutinginterfaceIface::handle_ack_disconnect) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_connectionID, guint16 arg_error)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00448">448</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="ab6e540b11ad03b27b947b79f268ce1a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6e540b11ad03b27b947b79f268ce1a9">&#9670;&nbsp;</a></span>handle_ack_set_sink_volume</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutinginterfaceIface::handle_ack_set_sink_volume) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, gint16 arg_volume, guint16 arg_error)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00455">455</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="aa08081f0b75bceb2d649b993e64780e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa08081f0b75bceb2d649b993e64780e0">&#9670;&nbsp;</a></span>handle_ack_set_source_state</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutinginterfaceIface::handle_ack_set_source_state) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_error)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00462">462</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="ae8345befe28426327325b1ba4df642ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8345befe28426327325b1ba4df642ee">&#9670;&nbsp;</a></span>handle_ack_set_volumes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutinginterfaceIface::handle_ack_set_volumes) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, GVariant *arg_listvolumes, guint16 arg_error)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00468">468</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="ab6dead68bb1d960873c1d3b43b16ed75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6dead68bb1d960873c1d3b43b16ed75">&#9670;&nbsp;</a></span>handle_ack_sink_notification_configuration</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutinginterfaceIface::handle_ack_sink_notification_configuration) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_error)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00475">475</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a29c4ad940905f828e5a8e5ac0433a3ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29c4ad940905f828e5a8e5ac0433a3ae">&#9670;&nbsp;</a></span>handle_ack_source_notification_configuration</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutinginterfaceIface::handle_ack_source_notification_configuration) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_handle, guint16 arg_error)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00481">481</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="ab247488d2597997aca94ab969f8d3591"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab247488d2597997aca94ab969f8d3591">&#9670;&nbsp;</a></span>handle_confirm_routing_ready</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutinginterfaceIface::handle_confirm_routing_ready) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_domainID)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00487">487</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="ad105905907e3735fe601fd472b658787"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad105905907e3735fe601fd472b658787">&#9670;&nbsp;</a></span>handle_confirm_routing_rundown</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutinginterfaceIface::handle_confirm_routing_rundown) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_domainID)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00492">492</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a7a549ccc940b2d7bdfe044bf0080cab5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a549ccc940b2d7bdfe044bf0080cab5">&#9670;&nbsp;</a></span>handle_deregister_sink</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutinginterfaceIface::handle_deregister_sink) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_sinkID)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00497">497</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a922e3b64fda18253a4876b08297af520"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a922e3b64fda18253a4876b08297af520">&#9670;&nbsp;</a></span>handle_deregister_source</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutinginterfaceIface::handle_deregister_source) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_sourceID)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00502">502</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="aaa5a962b2eabddde63e3379c86204661"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa5a962b2eabddde63e3379c86204661">&#9670;&nbsp;</a></span>handle_hook_interrupt_status_change</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutinginterfaceIface::handle_hook_interrupt_status_change) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_sourceID, guint16 arg_interruptState)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00507">507</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a3e7e0beac27ee45449766260f0f52d2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e7e0beac27ee45449766260f0f52d2b">&#9670;&nbsp;</a></span>handle_hook_source_availablity_status_change</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutinginterfaceIface::handle_hook_source_availablity_status_change) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_sourceID, GVariant *arg_availability)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00513">513</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="abf7f3af5c44437c7e137d953e212796b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf7f3af5c44437c7e137d953e212796b">&#9670;&nbsp;</a></span>handle_register_domain</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutinginterfaceIface::handle_register_domain) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, GVariant *arg_domaindata, const gchar *arg_returnBusname, const gchar *arg_returnPath, const gchar *arg_returnInterface)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00519">519</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="aae0f751fca4ed3afbe8c6949bbf5b239"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae0f751fca4ed3afbe8c6949bbf5b239">&#9670;&nbsp;</a></span>handle_register_sink</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutinginterfaceIface::handle_register_sink) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, GVariant *arg_sinkData)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00527">527</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="ab4d210b0dc6778973ff8494aabd2d73a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4d210b0dc6778973ff8494aabd2d73a">&#9670;&nbsp;</a></span>handle_register_source</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerRoutinginterfaceIface::handle_register_source) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object, GDBusMethodInvocation *invocation, GVariant *arg_sourceData)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00532">532</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a2235fa9640d924dfa2810cab5c349812"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2235fa9640d924dfa2810cab5c349812">&#9670;&nbsp;</a></span>parent_iface</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTypeInterface _AudiomanagerRoutinginterfaceIface::parent_iface</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00438">438</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a58f92c78dae0850dfdc5b4096957cdfb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58f92c78dae0850dfdc5b4096957cdfb">&#9670;&nbsp;</a></span>set_routing_ready</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* _AudiomanagerRoutinginterfaceIface::set_routing_ready) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00537">537</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a2506d6398156498330ecd4beb9f1b44d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2506d6398156498330ecd4beb9f1b44d">&#9670;&nbsp;</a></span>set_routing_rundown</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* _AudiomanagerRoutinginterfaceIface::set_routing_rundown) (<a class="el" href="audio__manager__interface_8h.html#a8731118300bd1c17bd016ef36256ea12">AudiomanagerRoutinginterface</a> *object)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00540">540</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>R:/SoundManagerBinding/src/dbus/<a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct___audiomanager_routinginterface_iface.html">_AudiomanagerRoutinginterfaceIface</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
